python-nltk на Ubuntu 12.04 LTS: nltk.download ('brown') приводит к ошибке HTML 401

9

Я установил python-nltk на Ubuntu Server 12.04, используя apt-get.

Но когда я пытаюсь загрузить корпус, я получаю следующую ошибку:

$ python
Python 2.7.3 (default, Feb 27 2014, 19:58:35)
[GCC 4.6.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import nltk
>>> nltk.download('brown')
[nltk_data] Error loading brown: HTTP Error 401: Authorization
[nltk_data]     Required
False

Мне не хватает какой-либо конфигурации или дополнительного пакета?

    
задан jknappen 23.09.2014 в 09:04
источник

3 ответа

12

DEFAULT_URL , используемое в downloader.py упакованной версии Ubuntu, все еще использует:

DEFAULT_URL = 'http://nltk.googlecode.com/svn/trunk/nltk_data/index.xml'

Но текущий сервер данных:

DEFAULT_URL = "http://nltk.github.com/nltk_data/"

Вы можете, конечно, установить из источника или ... изменить уже установленную версию, чтобы указать на новый сервер следующим образом:

 sudo perl -pi -e 's#DEFAULT_URL = .*#DEFAULT_URL = "http://nltk.github.com/nltk_data/"#' /usr/lib/python2.7/dist-packages/nltk/downloader.py

Затем вы можете установить «коричневый» корпус:

$ python
Python 2.7.6 (default, Mar 22 2014, 22:59:56) 
[GCC 4.8.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import nltk
>>> nltk.download('brown')
[nltk_data] Downloading package 'brown' to /home/sylvain/nltk_data...
[nltk_data]   Unzipping corpora/brown.zip.
True
>>> from nltk.corpus import brown
>>> brown.words()
['The', 'Fulton', 'County', 'Grand', 'Jury', 'said', ...]
>>> 
    
ответ дан Sylvain Pineau 23.09.2014 в 10:21
источник
12

Это можно исправить без изменения исходного кода. Создайте пользовательский загрузчик в python:

>>> dl = nltk.downloader.Downloader("http://nltk.github.com/nltk_data/")

, то вы откроете диалог GUI:

>>> dl.download()

Убедитесь, что у вас есть доступ на запись к каталогу загрузки и загрузите то, что вам нужно.

    
ответ дан CarpetPython 17.10.2014 в 22:25
0
pip install nltk --upgrade

Этот обновляет nltk, а затем nltk.download() снова работает.

    
ответ дан machineo 08.11.2015 в 09:42